Subject: Re: [payload] new draft - RTP Payload for TTML Timed Text

From: James Sandford <[email-masked]>
Date: Mon, 4 Feb 2019 13:38:22 +0000

Hello,
I've uploaded a new version of this draft fixing nits and with updates based on feedback from elsewhere. https://datatracker.ietf.org/doc/draft-sandford-payload-rtp-ttml/02/

Regards,
James

==========
James Sandford
R&D Engineer

BBC Research and Development
5th Floor
Dock House
MediaCityUK
Salford
M50 2LH

Tel: 030304 (09549)
Web: http://www.bbc.co.uk/rd
________________________________
From: James Sandford
Sent: 24 January 2019 15:49
To: Roni Even (A); [email-masked]
Subject: RE: new draft - RTP Payload for TTML Timed Text

Hello,
I've uploaded a new version that hopefully addresses these concerns. https://datatracker.ietf.org/doc/draft-sandford-payload-rtp-ttml/01/

Regards,
James

==========
James Sandford
R&D Engineer

BBC Research and Development
5th Floor
Dock House
MediaCityUK
Salford
M50 2LH

Tel: 030304 (09549)
Web: http://www.bbc.co.uk/rd
________________________________
From: Roni Even (A) [[email-masked]]
Sent: 20 January 2019 08:09
To: James Sandford; [email-masked]
Subject: RE: new draft - RTP Payload for TTML Timed Text

Hi,
Thanks for submitting the document. I did a quick review and the table of content has all the required sections
I see that there is interest in this work from the mailing list discussion and new RTP payload is in the charter of the WG so we can most probably progress the document.
Some comments as WG chair

The IANA section should include the registration template. I looked at the reference to the ttml document (https://www.w3.org/TR/ttml-profile-registry/ ) and noticed the ttml+xml registration template, this should be in this document, I also expect some more content in section 5 and 6
As for the security consideration, the length field is per packet but I did not see any concerns about the document size, is it unbound which can cause denial of service attack by sending large documents. Please look at RFC8088 (https://tools.ietf.org/html/rfc8088 ) to see how to write the important specification sections in section 7.

As an individual, I saw some discussion about the clock rate so assume it will be addressed. I noticed that the default rate is 1000 yet the example in 7.2.1 has 90000 so I was also looking for some guidelines about how to select the clock rate.

Roni Even
Payload WG co-chair

From: payload [mailto:[email-masked]] On Behalf Of James Sandford
Sent: Thursday, January 17, 2019 7:40 PM
To: [email-masked]
Subject: [payload] new draft - RTP Payload for TTML Timed Text

Dear IETF Payload WG,

I have uploaded a draft specifying an RTP payload format for TTML Timed Text https://datatracker.ietf.org/doc/draft-sandford-payload-rtp-ttml/

"""
This memo describes a Real-time Transport Protocol (RTP) payload format for TTML, an XML based timed text format for live and file based workflows from W3C.  This payload format is specifically targeted at live workflows using TTML.
"""

"""
TTML (Timed Text Markup Language) is a media type for describing timed text such as closed captions (also known as subtitles) in television workflows or broadcasts as XML.  This document specifies how TTML should be mapped into an RTP stream in live workflows including, but not restricted to, those described in the television broadcast oriented EBU-TT Part 3 specification.
"""

The television broadcast industry is currently progressing towards a future where broadcast facilities are based on IP networks as opposed to the specialist cabling and equipment currently used. One aspect of this work is the SMPTE2110 family of specifications which specifies, among other things, the use of RTP for audio, video, and other media. Work has previously been done by Thomas Edwards to provide an RTP profile for carrying ancillary data bit streams with maximum interoperability with traditional SDI (Serial Digital Interface) systems. These bit streams may contain closed captions, timing information, triggering signals for equipment etc. That work has provided an easy way to transition current data streams to IP in broadcast facilities. But these data streams still use legacy formats bound by the restrictions of SDI. This new draft specifies a payload to carry a modern timed text format natively over RTP within broadcast facilities.

I would be very grateful if you could review and support this document and I look forward to working with the group.

Regards,
James

==========
James Sandford
R&D Engineer

BBC Research and Development
5th Floor
Dock House
MediaCityUK
Salford
M50 2LH

Tel: 030304 (09549)
Web: http://www.bbc.co.uk/rd

----------------------------

http://www.bbc.co.uk
This e-mail (and any attachments) is confidential and may contain personal views which are not the views of the BBC unless specifically stated.
If you have received it in error, please delete it from your system.
Do not use, copy or disclose the information in any way nor act in reliance on it and notify the sender immediately.
Please note that the BBC monitors e-mails sent or received.
Further communication will signify your consent to this.

---------------------

----------------------------

http://www.bbc.co.uk
This e-mail (and any attachments) is confidential and may contain personal views which are not the views of the BBC unless specifically stated.
If you have received it in error, please delete it from your system.
Do not use, copy or disclose the information in any way nor act in reliance on it and notify the sender immediately.
Please note that the BBC monitors e-mails sent or received.
Further communication will signify your consent to this.

---------------------